from parallels.core.connections.source_server import SingleServerPanelSourceServer


class PpcplSourceServer(SingleServerPanelSourceServer):
    def __init__(self, node_id, node_settings, migrator_server):
        super(SingleServerPanelSourceServer, self).__init__(node_id, node_settings, migrator_server)

    def get_unix_vhost_dirs(self, runner, domain_name):
        """Return list of directories with domain hosting content."""
        return []

    def get_unix_domain_mail_dirs(self, runner, domain_name):
        """Return list of directories with system domain mail content."""
        return []